summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Zbigniew Baniewski <zb@ispid.com.pl>2011-01-09 11:41:31 -0200
committer Robby Workman <rworkman@slackbuilds.org>2011-01-10 15:04:25 -0600
commit92e719c0eb96f58911147e1ac92921e4e454c1aa (patch)
treec4b3ffa7bea9775c184dde653f4823376f7fafdb /development
parenta1a54dd36f730f3c27a0a99b4c813929f5b1b191 (diff)
downloadslackbuilds-92e719c0eb96f58911147e1ac92921e4e454c1aa.tar.gz
slackbuilds-92e719c0eb96f58911147e1ac92921e4e454c1aa.tar.xz
development/trf: Added (transformer extension library for Tcl)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/trf/01-destlibdir.patch12
-rw-r--r--development/trf/README5
-rw-r--r--development/trf/slack-desc19
-rw-r--r--development/trf/trf.SlackBuild85
-rw-r--r--development/trf/trf.info10
5 files changed, 131 insertions, 0 deletions
diff --git a/development/trf/01-destlibdir.patch b/development/trf/01-destlibdir.patch
new file mode 100644
index 0000000000..8d593c8e41
--- /dev/null
+++ b/development/trf/01-destlibdir.patch
@@ -0,0 +1,12 @@
+diff -Nur trf2.1p2/mkIndex.tcl.in trf2.1p2.new/mkIndex.tcl.in
+--- trf2.1p2/mkIndex.tcl.in 2001-03-27 13:08:44.000000000 +0000
++++ trf2.1p2.new/mkIndex.tcl.in 2011-01-01 22:27:50.009977117 +0000
+@@ -86,7 +86,7 @@
+
+ set exec_prefix [Nativepath $exec_prefix]
+
+-set libdir @libdir@
++set libdir [file join $::env(DESTDIR) {*}[split @libdir@ /]]
+ set package @PACKAGE@
+ set version @VERSION@
+
diff --git a/development/trf/README b/development/trf/README
new file mode 100644
index 0000000000..54fa677139
--- /dev/null
+++ b/development/trf/README
@@ -0,0 +1,5 @@
+Trf extends the TCL language at the C-level with so-called ``transformer''
+procedures. With the help of some patches to the core the package is able
+to intercept all read/write operations on designated channels, thus giving
+it the ability to transform the buffer contents as desired. This allows
+things like transparent encryption, compression, charset recoding, etc.
diff --git a/development/trf/slack-desc b/development/trf/slack-desc
new file mode 100644
index 0000000000..7d592c3261
--- /dev/null
+++ b/development/trf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+trf: trf (transformer extension library for Tcl)
+trf:
+trf: Trf extends the TCL language at the C-level with so-called
+trf: ``transformer'' procedures. With the help of some patches to the core
+trf: the package is able to intercept all read/write operations on
+trf: designated channels, thus giving it the ability to transform the
+trf: buffer contents as desired. This allows things like transparent
+trf: encryption, compression, charset recoding, etc.
+trf:
+trf: http://www.oche.de/~akupries/soft/trf/
+trf:
diff --git a/development/trf/trf.SlackBuild b/development/trf/trf.SlackBuild
new file mode 100644
index 0000000000..8a7352e35b
--- /dev/null
+++ b/development/trf/trf.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for trf
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=trf
+VERSION=2.1p2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM$VERSION
+tar xvf $CWD/${PRGNAM}${VERSION}.tar.gz
+cd $PRGNAM$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cat $CWD/01-destlibdir.patch | patch -p1 || exit
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-tcl=/usr/lib${LIBDIRSUFFIX} \
+ --with-tclinclude=/usr/include/tcl-private/generic \
+ --with-tk=/usr/lib${LIBDIRSUFFIX} \
+ --with-tkinclude=/usr/include/tk-private/generic \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ANNOUNCE ChangeLog README DESCRIPTION doc/html tests $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/trf/trf.info b/development/trf/trf.info
new file mode 100644
index 0000000000..23edd83300
--- /dev/null
+++ b/development/trf/trf.info
@@ -0,0 +1,10 @@
+PRGNAM="trf"
+VERSION="2.1p2"
+HOMEPAGE="http://www.oche.de/~akupries/soft/trf/"
+DOWNLOAD="http://www.oche.de/~akupries/soft/trf/download/trf2.1p2.tar.gz"
+MD5SUM="3aed7163d9412823f6fa6e6572c204f1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"